/* ========================================================================
 * Bootstrap: tooltip.js v3.1.1
 * http://getbootstrap.com/javascript/#tooltip
 * Inspired by the original jQuery.tipsy by Jason Frame
 * ========================================================================
 * Copyright 2011-2014 Twitter, Inc.
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * ======================================================================== */
!function(m){"use strict";
// TOOLTIP PUBLIC CLASS DEFINITION
// ===============================
function n(t,e){this.type=this.options=this.enabled=this.timeout=this.hoverState=this.$element=null,this.init("tooltip",t,e)}n.DEFAULTS={animation:!0,placement:"top",selector:!1,template:'<div class="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner"></div></div>',trigger:"hover focus",title:"",delay:0,html:!1,container:!1},n.prototype.init=function(t,e,i){this.enabled=!0,this.type=t,this.$element=m(e),this.options=this.getOptions(i);for(var o=this.options.trigger.split(" "),n=o.length;n--;){var s=o[n];if("click"==s)this.$element.on("click."+this.type,this.options.selector,m.proxy(this.toggle,this));else if("manual"!=s){var r="hover"==s?"mouseenter":"focusin",a="hover"==s?"mouseleave":"focusout";this.$element.on(r+"."+this.type,this.options.selector,m.proxy(this.enter,this)),this.$element.on(a+"."+this.type,this.options.selector,m.proxy(this.leave,this))}}this.options.selector?this._options=m.extend({},this.options,{trigger:"manual",selector:""}):this.fixTitle()},n.prototype.getDefaults=function(){return n.DEFAULTS},n.prototype.getOptions=function(t){return(t=m.extend({},this.getDefaults(),this.$element.data(),t)).delay&&"number"==typeof t.delay&&(t.delay={show:t.delay,hide:t.delay}),t},n.prototype.getDelegateOptions=function(){var i={},o=this.getDefaults();return this._options&&m.each(this._options,function(t,e){o[t]!=e&&(i[t]=e)}),i},n.prototype.enter=function(t){var e=t instanceof this.constructor?t:m(t.currentTarget)[this.type](this.getDelegateOptions()).data("bs."+this.type);if(clearTimeout(e.timeout),e.hoverState="in",!e.options.delay||!e.options.delay.show)return e.show();e.timeout=setTimeout(function(){"in"==e.hoverState&&e.show()},e.options.delay.show)},n.prototype.leave=function(t){var e=t instanceof this.constructor?t:m(t.currentTarget)[this.type](this.getDelegateOptions()).data("bs."+this.type);if(clearTimeout(e.timeout),e.hoverState="out",!e.options.delay||!e.options.delay.hide)return e.hide();e.timeout=setTimeout(function(){"out"==e.hoverState&&e.hide()},e.options.delay.hide)},n.prototype.show=function(){var t=m.Event("show.bs."+this.type);if(this.hasContent()&&this.enabled){if(this.$element.trigger(t),t.isDefaultPrevented())return;var e=this,i=this.tip();this.setContent(),this.options.animation&&i.addClass("fade");var o="function"==typeof this.options.placement?this.options.placement.call(this,i[0],this.$element[0]):this.options.placement,n=/\s?auto?\s?/i,s=n.test(o);s&&(o=o.replace(n,"")||"top"),i.detach().css({top:0,left:0,display:"block"}).addClass(o),this.options.container?i.appendTo(this.options.container):i.insertAfter(this.$element);var r=this.getPosition(),a=i[0].offsetWidth,p=i[0].offsetHeight;if(s){var h=this.$element.parent(),l=o,f=document.documentElement.scrollTop||document.body.scrollTop,u="body"==this.options.container?window.innerWidth:h.outerWidth(),c="body"==this.options.container?window.innerHeight:h.outerHeight(),d="body"==this.options.container?0:h.offset().left;o="bottom"==o&&r.top+r.height+p-f>c?"top":"top"==o&&r.top-f-p<0?"bottom":"right"==o&&r.right+a>u?"left":"left"==o&&r.left-a<d?"right":o,i.removeClass(l).addClass(o)}var y=this.getCalculatedOffset(o,r,a,p);this.applyPlacement(y,o),this.hoverState=null;var g=function(){e.$element.trigger("shown.bs."+e.type)};m.support.transition&&this.$tip.hasClass("fade")?i.one(m.support.transition.end,g).emulateTransitionEnd(150):g()}},n.prototype.applyPlacement=function(t,e){var i,o=this.tip(),n=o[0].offsetWidth,s=o[0].offsetHeight,r=parseInt(o.css("margin-top"),10),a=parseInt(o.css("margin-left"),10);
// we must check for NaN for ie 8/9
isNaN(r)&&(r=0),isNaN(a)&&(a=0),t.top=t.top+r,t.left=t.left+a,
// $.fn.offset doesn't round pixel values
// so we use setOffset directly with our own function B-0
m.offset.setOffset(o[0],m.extend({using:function(t){o.css({top:Math.round(t.top),left:Math.round(t.left)})}},t),0),o.addClass("in");
// check to see if placing tip in new offset caused the tip to resize itself
var p=o[0].offsetWidth,h=o[0].offsetHeight;if("top"==e&&h!=s&&(i=!0,t.top=t.top+s-h),/bottom|top/.test(e)){var l=0;t.left<0&&(l=-2*t.left,t.left=0,o.offset(t),p=o[0].offsetWidth,h=o[0].offsetHeight),this.replaceArrow(l-n+p,p,"left")}else this.replaceArrow(h-s,h,"top");i&&o.offset(t)},n.prototype.replaceArrow=function(t,e,i){this.arrow().css(i,t?50*(1-t/e)+"%":"")},n.prototype.setContent=function(){var t=this.tip(),e=this.getTitle();t.find(".tooltip-inner")[this.options.html?"html":"text"](e),t.removeClass("fade in top bottom left right")},n.prototype.hide=function(){var t=this,e=this.tip(),i=m.Event("hide.bs."+this.type);function o(){"in"!=t.hoverState&&e.detach(),t.$element.trigger("hidden.bs."+t.type)}if(this.$element.trigger(i),!i.isDefaultPrevented())return e.removeClass("in"),m.support.transition&&this.$tip.hasClass("fade")?e.one(m.support.transition.end,o).emulateTransitionEnd(150):o(),this.hoverState=null,this},n.prototype.fixTitle=function(){var t=this.$element;!t.attr("title")&&"string"==typeof t.attr("data-original-title")||t.attr("data-original-title",t.attr("title")||"").attr("title","")},n.prototype.hasContent=function(){return this.getTitle()},n.prototype.getPosition=function(){var t=this.$element[0];return m.extend({},"function"==typeof t.getBoundingClientRect?t.getBoundingClientRect():{width:t.offsetWidth,height:t.offsetHeight},this.$element.offset())},n.prototype.getCalculatedOffset=function(t,e,i,o){return"bottom"==t?{top:e.top+e.height,left:e.left+e.width/2-i/2}:"top"==t?{top:e.top-o,left:e.left+e.width/2-i/2}:"left"==t?{top:e.top+e.height/2-o/2,left:e.left-i}:
/* placement == 'right' */{top:e.top+e.height/2-o/2,left:e.left+e.width}},n.prototype.getTitle=function(){var t=this.$element,e=this.options;return t.attr("data-original-title")||("function"==typeof e.title?e.title.call(t[0]):e.title)},n.prototype.tip=function(){return this.$tip=this.$tip||m(this.options.template)},n.prototype.arrow=function(){return this.$arrow=this.$arrow||this.tip().find(".tooltip-arrow")},n.prototype.validate=function(){this.$element[0].parentNode||(this.hide(),this.$element=null,this.options=null)},n.prototype.enable=function(){this.enabled=!0},n.prototype.disable=function(){this.enabled=!1},n.prototype.toggleEnabled=function(){this.enabled=!this.enabled},n.prototype.toggle=function(t){var e=t?m(t.currentTarget)[this.type](this.getDelegateOptions()).data("bs."+this.type):this;e.tip().hasClass("in")?e.leave(e):e.enter(e)},n.prototype.destroy=function(){clearTimeout(this.timeout),this.hide().$element.off("."+this.type).removeData("bs."+this.type)}
// TOOLTIP PLUGIN DEFINITION
// =========================;
var t=m.fn.tooltip;m.fn.tooltip=function(o){return this.each(function(){var t=m(this),e=t.data("bs.tooltip"),i="object"==typeof o&&o;!e&&"destroy"==o||(e||t.data("bs.tooltip",e=new n(this,i)),"string"==typeof o&&e[o]())})},m.fn.tooltip.Constructor=n,
// TOOLTIP NO CONFLICT
// ===================
m.fn.tooltip.noConflict=function(){return m.fn.tooltip=t,this}}(jQuery);
/* ========================================================================
 * Bootstrap: popover.js v3.1.1
 * http://getbootstrap.com/javascript/#popovers
 * ========================================================================
 * Copyright 2011-2014 Twitter, Inc.
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * ======================================================================== */
!function(i){"use strict";
// POPOVER PUBLIC CLASS DEFINITION
// ===============================
function r(t,o){this.init("popover",t,o)}if(!i.fn.tooltip)throw new Error("Popover requires tooltip.js");r.DEFAULTS=i.extend({},i.fn.tooltip.Constructor.DEFAULTS,{placement:"right",trigger:"click",content:"",template:'<div class="popover"><div class="arrow"></div><h3 class="popover-title"></h3><div class="popover-content"></div></div>'}),((
// NOTE: POPOVER EXTENDS tooltip.js
// ================================
r.prototype=i.extend({},i.fn.tooltip.Constructor.prototype)).constructor=r).prototype.getDefaults=function(){return r.DEFAULTS},r.prototype.setContent=function(){var t=this.tip(),o=this.getTitle(),e=this.getContent();t.find(".popover-title")[this.options.html?"html":"text"](o),t.find(".popover-content")[// we use append for html objects to maintain js events
this.options.html?"string"==typeof e?"html":"append":"text"](e),t.removeClass("fade top bottom left right in"),
// IE8 doesn't accept hiding via the `:empty` pseudo selector, we have to do
// this manually by checking the contents.
t.find(".popover-title").html()||t.find(".popover-title").hide()},r.prototype.hasContent=function(){return this.getTitle()||this.getContent()},r.prototype.getContent=function(){var t=this.$element,o=this.options;return t.attr("data-content")||("function"==typeof o.content?o.content.call(t[0]):o.content)},r.prototype.arrow=function(){return this.$arrow=this.$arrow||this.tip().find(".arrow")},r.prototype.tip=function(){return this.$tip||(this.$tip=i(this.options.template)),this.$tip}
// POPOVER PLUGIN DEFINITION
// =========================;
var t=i.fn.popover;i.fn.popover=function(n){return this.each(function(){var t=i(this),o=t.data("bs.popover"),e="object"==typeof n&&n;!o&&"destroy"==n||(o||t.data("bs.popover",o=new r(this,e)),"string"==typeof n&&o[n]())})},i.fn.popover.Constructor=r,
// POPOVER NO CONFLICT
// ===================
i.fn.popover.noConflict=function(){return i.fn.popover=t,this}}(jQuery);